Subject: bug#62719: closed (Re: bug#62719: 30.0.50; Eglot: `consult-imenu--normalize: Unknown imenu item: nil` caused by b1f8d98a119ab8845d25d80c480cde6e385d8749)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 07 Apr 2023 22:02:02 +0000

Your bug report

#62719: 30.0.50; Eglot: `consult-imenu--normalize: Unknown imenu item: nil` caused by b1f8d98a119ab8845d25d80c480cde6e385d8749

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
62719: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=62719
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#62719: 30.0.50; Eglot: `consult-imenu--normalize: Unknown imenu item: nil` caused by b1f8d98a119ab8845d25d80c480cde6e385d8749
From: João Távora <[email-masked]>
To: Casey Banner <[email-masked]>, [email-masked]
Date: Fri, 7 Apr 2023 23:03:44 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Should be fixed as of 9848ae17161828190cc0ba31e89ae54a2f08a2ef

The commit message mentions bug#62718 by mistake, the bug you
just reported before this one.  Oh well.  Closing anyway.

João

Subject: 30.0.50; Eglot: `consult-imenu--normalize: Unknown imenu item: nil` caused by b1f8d98a119ab8845d25d80c480cde6e385d8749
From: Casey Banner <[email-masked]>
To: [email-masked]
Date: Fri, 7 Apr 2023 17:29:50 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

After b1f8d98a119ab8845d25d80c480cde6e385d8749 I'm seeing the
following error when invoking consult-imenu:

`consult-imenu--normalize: Unknown imenu item: nil`.

If I build 5e5f5b28e92a3bb927bb03c783c426c6c3baeadc (the commit
before), this error goes away. The LSP I'm using is zls. I'm not sure
if this is a bug with consult (not compatible with new changes) or a
problem with the eglot imenu changes.

In GNU Emacs 30.0.50 (build 4, x86_64-w64-mingw32) of 2023-04-07 built
 on DESKTOP-EK25TL1
Repository revision: 5e5f5b28e92a3bb927bb03c783c426c6c3baeadc
Repository branch: HEAD
Windowing system distributor 'Microsoft Corp.', version 10.0.19044
System Description: Microsoft Windows 10 Pro (v10.0.2009.19044.2728)

Configured using:
 'configure --prefix=/e/dev/emacs-src --without-dbus --without-pop
 --with-native-compilation --with-cairo --with-harfbuzz --with-xml2
 --without-compress-install --with-json 'CFLAGS=-O2 -mtune=native
 -march=native -fomit-frame-pointer -ftree-vectorize'
 PKG_CONFIG_PATH=/mingw64/lib/pkgconfig:/mingw64/share/pkgconfig'

Configured features:
ACL GIF GMP GNUTLS HARFBUZZ JPEG JSON LCMS2 LIBXML2 MODULES NATIVE_COMP
NOTIFY W32NOTIFY PDUMPER PNG RSVG SOUND SQLITE3 THREADS TIFF
TOOLKIT_SCROLL_BARS TREE_SITTER WEBP XPM ZLIB

Important settings:
  value of $LANG: ENC
  locale-coding-system: cp1252

Major mode: Zig

Minor modes in effect:
  eglot-inlay-hints-mode: t
  eglot--managed-mode: t
  flymake-mode: t
  display-line-numbers-mode: t
  which-key-mode: t
  solaire-global-mode: t
  global-auto-revert-mode: t
  delete-selection-mode: t
  corfu-history-mode: t
  global-corfu-mode: t
  corfu-mode: t
  vertico-multiform-mode: t
  vertico-mode: t
  minibuffer-depth-indicate-mode: t
  minions-mode: t
  doom-modeline-mode: t
  all-the-icons-completion-mode: t
  popper-echo-mode: t
  popper-mode: t
  override-global-mode: t
  global-smartscan-mode: t
  smartscan-mode: t
  global-hl-line-mode: t
  gcmh-mode: t
  recentf-mode: t
  straight-use-package-mode: t
  straight-package-neutering-mode: t
  straight-symlink-emulation-mode: t
  straight-live-modifications-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t